## org.codehaus.groovy.grails.cli
Class ScriptNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.cli.ScriptNotFoundException

All Implemented Interfaces:
  Serializable

    public class ScriptNotFoundException

extends RuntimeException

Exception thrown when Grails is asked to execute a script that it can't find.

See Also:
  Serialized Form

Constructor Summary
`ScriptNotFoundException(String scriptName)`
`ScriptNotFoundException(String scriptName, String message, Throwable cause)`
`ScriptNotFoundException(String scriptName, Throwable cause)`

Method Summary
`String` `getScriptName()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScriptNotFoundException

    public ScriptNotFoundException(String scriptName)

### ScriptNotFoundException

    public ScriptNotFoundException(String scriptName,
                                   String message,
                                   Throwable cause)

### ScriptNotFoundException

    public ScriptNotFoundException(String scriptName,
                                   Throwable cause)

Method Detail

### getScriptName

    public String getScriptName()

Copyright (c) 2005-2009 The Grails project